Edsf.PersonaStore.remove_address_book – folks-eds Reference Manual

# remove_address_book

## Description:

public static async void remove_address_book (PersonaStore store) throws Error

Remove a persona store's address book permamently.

This is a utility function to remove an Edsf.PersonaStore's address book from the disk permanently. This simply wraps the EDS API to do the same.

## Parameters:

store | the PersonaStore to delete the address book for.

## Exceptions:

GLib.Error | if an error occurred in E.Source.remove

## Since:

0.9.0